org.eclipse.jetty.ajp

## Class Ajp13Packet

- java.lang.Object
- - org.eclipse.jetty.ajp.Ajp13Packet

    public class Ajp13Packet
    extends Object

### Field Summary

Fields
`static BufferCache` `CACHE`
`static String` `CPING_REQUEST`
`static int` `CPING_REQUEST_ORDINAL`
`static String` `CPONG_REPLY`
`static int` `CPONG_REPLY_ORDINAL`
`static int` `DATA_HDR_SIZE`
`static String` `END_RESPONSE`
`static int` `END_RESPONSE_ORDINAL`
`static String` `FORWARD_REQUEST`
`static int` `FORWARD_REQUEST_ORDINAL`
`static String` `GET_BODY_CHUNK`
`static int` `GET_BODY_CHUNK_ORDINAL`
`static int` `HDR_SIZE`
`static int` `MAX_DATA_SIZE`
`static int` `MAX_PACKET_SIZE`
`static String` `PING_REQUEST`
`static int` `PING_REQUEST_ORDINAL`
`static String` `SEND_BODY_CHUNK`
`static int` `SEND_BODY_CHUNK_ORDINAL`
`static String` `SEND_HEADERS`
`static int` `SEND_HEADERS_ORDINAL`
`static String` `SHUTDOWN`
`static int` `SHUTDOWN_ORDINAL`

### Constructor Summary

Constructors
Constructor and Description
`Ajp13Packet()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_PACKET_SIZE

    public static final int MAX_PACKET_SIZE

See Also:
  Constant Field Values

#### HDR_SIZE

    public static final int HDR_SIZE

See Also:
  Constant Field Values

#### DATA_HDR_SIZE

    public static final int DATA_HDR_SIZE

See Also:
  Constant Field Values

#### MAX_DATA_SIZE

    public static final int MAX_DATA_SIZE

See Also:
  Constant Field Values

#### FORWARD_REQUEST

    public static final String FORWARD_REQUEST

See Also:
  Constant Field Values

#### SHUTDOWN

    public static final String SHUTDOWN

See Also:
  Constant Field Values

#### PING_REQUEST

    public static final String PING_REQUEST

See Also:
  Constant Field Values

#### CPING_REQUEST

    public static final String CPING_REQUEST

See Also:
  Constant Field Values

#### SEND_BODY_CHUNK

    public static final String SEND_BODY_CHUNK

See Also:
  Constant Field Values

#### SEND_HEADERS

    public static final String SEND_HEADERS

See Also:
  Constant Field Values

#### END_RESPONSE

    public static final String END_RESPONSE

See Also:
  Constant Field Values

#### GET_BODY_CHUNK

    public static final String GET_BODY_CHUNK

See Also:
  Constant Field Values

#### CPONG_REPLY

    public static final String CPONG_REPLY

See Also:
  Constant Field Values

#### FORWARD_REQUEST_ORDINAL

    public static final int FORWARD_REQUEST_ORDINAL

See Also:
  Constant Field Values

#### SHUTDOWN_ORDINAL

    public static final int SHUTDOWN_ORDINAL

See Also:
  Constant Field Values

#### PING_REQUEST_ORDINAL

    public static final int PING_REQUEST_ORDINAL

See Also:
  Constant Field Values

#### CPING_REQUEST_ORDINAL

    public static final int CPING_REQUEST_ORDINAL

See Also:
  Constant Field Values

#### SEND_BODY_CHUNK_ORDINAL

    public static final int SEND_BODY_CHUNK_ORDINAL

See Also:
  Constant Field Values

#### SEND_HEADERS_ORDINAL

    public static final int SEND_HEADERS_ORDINAL

See Also:
  Constant Field Values

#### END_RESPONSE_ORDINAL

    public static final int END_RESPONSE_ORDINAL

See Also:
  Constant Field Values

#### GET_BODY_CHUNK_ORDINAL

    public static final int GET_BODY_CHUNK_ORDINAL

See Also:
  Constant Field Values

#### CPONG_REPLY_ORDINAL

    public static final int CPONG_REPLY_ORDINAL

See Also:
  Constant Field Values

#### CACHE

    public static final BufferCache CACHE

### Constructor Detail

#### Ajp13Packet

    public Ajp13Packet()